Distribution:   CCux-Linux
Packager:	Simon Schmeier <wrt@ccux-linux.de>

Name:		transkode
Version:	0.7
Release:	2

#Epoch:		1

License:	GNU/GPL
URL:		http://sourceforge.net/projects/transkode
Group:		Multimedia/Audio
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-desktopfile.patch

BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	KDE/Qt based frontend for varios audio transcoding tools.

BuildRequires:	kdelibs-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	glibc-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libidn-devel
BuildRequires:	qt-devel
BuildRequires:	zlib-devel
BuildRequires:	libICE-devel
BuildRequires:	libSM-devel
BuildRequires:	libX11-devel
BuildRequires:	libXext-devel
BuildRequires:	libXrender-devel
BuildRequires:	gamin-devel
BuildRequires:	taglib-devel

Obsoletes:	%{name} = 1:%{version}-1

%description
KDE/Qt based frontend for varios audio transcoding tools.
 
 Supported input formats:
 * ape/mac (needs mac or gst-launch)
 * bonk (needs bonk)
 * flac (needs flac, mplayer or gst-launch)
 * la (needs la)
 * mp3 (needs lame, mplayer or gst-launch)
 * mp4/m4a (needs faad, mplayer or gst-launch)
 * mpc/mpp/mp+ (needs mppdec or gst-launch)
 * ofr (needs ofr)
 * ogg (needs oggdec, mplayer or gst-launch)
 * pac (needs lpac)
 * shn (needs shorten or gst-launch)
 * spx (needs speexdec or gst-launch)
 * tta (needs ttaenc or gst-launch)
 * wav
 * wv (needs wvunpack or gst-launch)
 * ...plus any other audio formats decodable by mplayer/gst-launch
 (needs gst-launch with spider plugin)
 
 Supported output formats:
 * ape/mac (needs mac)
 * bonk (needs bonk)
 * flac (needs flac)
 * la (needs la)
 * mp3 (needs lame)
 * mp4/m4a (needs faac)
 * mpc/mpp/mp+ (needs mppenc)
 * ofr (needs ofr)
 * ogg (needs oggenc)
 * pac (needs lpac)
 * shn (needs shorten)
 * spx (needs speexenc)
 * tta (needs ttaenc)
 * wav
 * wv (needs wavpack)
 * ...plus output formats for which you have gstreamer encoding plugins
 (needs gst-launch with wavparse plugin)
 
%prep
%setup -n %{name}
%patch0 -p1

%build
./configure \
--prefix=%_kdedir \
--disable-debug \
--enable-amarokscript
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_kdebindir
%_kdedir/share

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat May 10 2008 Christian Wasem <wasem@ccux-linux.de> 0.7-2
- added desktopfile.patch to see trankode in KDE Menu
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:0.7-1
- update to final version
* Wed Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 0.7beta-2
- altered group
* Wed Aug 22 2007 Christian Wasem <wasem@ccux-linux.de> 0.7beta-1
- version update
* Tue Oct 03 2006 Simon Schmeisser <wrt@ccux-linux.de> 0.6b2-1
- Initial Release
